Users API
Update user profile
Update the profile of a user.
PATCH
/
v2
/
session
/
apps
/
{appID}
/
users
/
{userID}
/
profile
Update user profile
curl --request PATCH \
--url https://api.prelude.dev/v2/session/apps/{appID}/users/{userID}/profile \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"profile": {}
}'import requests
url = "https://api.prelude.dev/v2/session/apps/{appID}/users/{userID}/profile"
payload = { "profile": {} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({profile: {}})
};
fetch('https://api.prelude.dev/v2/session/apps/{appID}/users/{userID}/profile', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": "invalid_request",
"status": "bad_request",
"message": "<string>"
}{
"code": "session_disabled",
"status": "forbidden",
"message": "<string>"
}{
"code": "app_not_found",
"status": "not_found",
"message": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The id of the app the request refers to. An application's unique identifier.
Examples:
"54e9ujn"
"fvua38g"
The id of the user the request refers to. An app's user's unique identifier. It is prefixed with 'usr_'
Examples:
"usr_01jqebhswje1ka1z7ahr9rfsgt"
"usr_01jqy7455pf8p9bap5qke912g1"
Body
application/json
Example:
{
"first_name": "Jane",
"last_name": "Smith",
"locales": ["en-US"]
}
Response
No Content
Previous
Update user external IDUpdate the external ID of a user. The external ID is the ID of the user in your system.
Next
⌘I
Update user profile
